import Vue from 'vue'
import VueRouter from "vue-router"

import App from './App.vue'
import Gantt from './components/Gantt.vue'
import Pivot from './components/Pivot.vue'
import Suite from './components/Suite.vue'
import Diagram from './components/Diagram.vue'
import Scheduler from './components/Scheduler.vue'

Vue.config.productionTip = false

Vue.use(VueRouter)
Vue.use(Diagram)

const router = new VueRouter({
  routes:[
    { path: '/gantt', component: Gantt },
    { path: '/pivot', component: Pivot },
    { path: '/suite', component: Suite },
    { path: '/diagram', component: Diagram },
    { path: '/scheduler', component: Scheduler }
  ]
})

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
